import { MooBase } from "./base/MooBase";
import { Ifiles, Iconfig } from "../types";
import { CodeBoard } from "./ComplexBoard";
export declare class Board extends MooBase {
    private _idCount;
    private _header;
    private _headerContainer;
    private _bodyContainer;
    private _selected;
    private _stickyNotes;
    private _targetTab;
    private _plusTab;
    private _isFixedTemplate;
    private _isCreatingNote;
    constructor(CodeBoard: CodeBoard, opt: Iconfig);
    protected _createElement(): HTMLElement;
    get selected(): number;
    set selected(id: number);
    get headerContainer(): HTMLElement;
    /**
     * createPage
     */
    createPage(lang: string, filename: string, code?: string): void;
    /**
     * select
     *
     * @remarks
     * 해당 하는 id의 stickynote의 에디터를 열여준다.
     */
    select(id: number): void;
    /**
     * close
     *
     * @remarks
     * 해당하는 id에 관한 stickyNote를 없앤다.
     */
    close(id: number): void;
    /**
     * 탭의 텍스트 클릭
     */
    private _textClick;
    /**
     * 닫기 버튼 클릭
     */
    private _closeButtonClick;
    /**
     * 추가 버튼 클릭
     */
    private _addButtonClick;
    /**
     * 추가버튼 재위치
     */
    private _relocateAddButton;
    /**
     * id를 얻고 파일이름 수정
     */
    private _textEdit;
    /**
     * id 따른 파일이름 수정
     */
    private _editText;
    private _edittingText;
    /**
     * Add file with blank tab
     */
    addBlankFile(): void;
    /**
     * Add File
     */
    addFile(filename: string, content?: string): void;
    /**
     * Add Files
     */
    addFiles(filenames: string[]): void;
    /**
     * parse File
     */
    parseFile(filename: string, content?: string): void;
    /**
     * parse and add Files
     */
    parseFiles(files: Ifiles): void;
    /**
     * Remove file
     */
    removeFile(filename: string, reloca: boolean): void;
    /**
     * Remove files
     */
    removeFiles(filenames: string[]): void;
    /**
     * get files
     */
    getFiles(): Ifiles;
}
